# eric6.QScintilla.MarkupProviders.MarkupBase

Module implementing the base class for the markup providers.

### Global Attributes

None

### Classes

MarkupBase | Class implementing the base class for the markup providers.

### Functions

None

## MarkupBase

Class implementing the base class for the markup providers.

Note: Derived classes need only implement those method they provide functionality for. This base class implements do nothing variants for all methods.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

MarkupBase | Constructor
bold | Public method to generate bold text.
bulletedList | Public method to generate bulleted list text.
code | Public method to generate inline code text.
codeBlock | Public method to generate code block text.
hasBold | Public method to indicate the availability of bold markup.
hasBulletedList | Public method to indicate the availability of bulleted list markup.
hasCode | Public method to indicate the availability of inline code markup.
hasCodeBlock | Public method to indicate the availability of code block markup.
hasHyperlink | Public method to indicate the availability of hyperlink markup.
hasImage | Public method to indicate the availability of image markup.
hasItalic | Public method to indicate the availability of italic markup.
hasLine | Public method to indicate the availability of a horizontal line markup.
hasNumberedList | Public method to indicate the availability of numbered list markup.
hasQuote | Public method to indicate the availability of block quote markup.
hasStrikethrough | Public method to indicate the availability of strikethrough markup.
header | Public method to generate a header.
headerLevels | Public method to determine the available header levels.
hyperlink | Public method to generate hyperlink text.
image | Public method to generate image text.
italic | Public method to generate italic text.
kind | Public method to get the markup kind.
line | Public method to generate a horizontal line text.
numberedList | Public method to generate numbered list text.
quote | Public method to generate block quote text.
strikethrough | Public method to generate strikethrough text.

### Static Methods

None

#### MarkupBase (Constructor)

MarkupBase()

Constructor

#### MarkupBase.bold

bold(editor)

Public method to generate bold text.

editor (Editor)
  reference to the editor to work on

#### MarkupBase.bulletedList

bulletedList(editor)

Public method to generate bulleted list text.

editor (Editor)
  reference to the editor to work on

#### MarkupBase.code

code(editor)

Public method to generate inline code text.

editor (Editor)
  reference to the editor to work on

#### MarkupBase.codeBlock

codeBlock(editor)

Public method to generate code block text.

editor (Editor)
  reference to the editor to work on

#### MarkupBase.hasBold

hasBold()

Public method to indicate the availability of bold markup.

Returns:
  flag indicating the availability of bold markup

Return Type:
  bool

#### MarkupBase.hasBulletedList

hasBulletedList()

Public method to indicate the availability of bulleted list markup.

Returns:
  flag indicating the availability of bulleted list markup

Return Type:
  bool

#### MarkupBase.hasCode

hasCode()

Public method to indicate the availability of inline code markup.

Returns:
  flag indicating the availability of inline code markup

Return Type:
  bool

#### MarkupBase.hasCodeBlock

hasCodeBlock()

Public method to indicate the availability of code block markup.

Returns:
  flag indicating the availability of code block markup

Return Type:
  bool

#### MarkupBase.hasHyperlink

hasHyperlink()

Public method to indicate the availability of hyperlink markup.

Returns:
  flag indicating the availability of hyperlink markup

Return Type:
  bool

#### MarkupBase.hasImage

hasImage()

Public method to indicate the availability of image markup.

Returns:
  flag indicating the availability of image markup

Return Type:
  bool

#### MarkupBase.hasItalic

hasItalic()

Public method to indicate the availability of italic markup.

Returns:
  flag indicating the availability of italic markup

Return Type:
  bool

#### MarkupBase.hasLine

hasLine()

Public method to indicate the availability of a horizontal line markup.

Returns:
  flag indicating the availability of a horizontal line markup

Return Type:
  bool

#### MarkupBase.hasNumberedList

hasNumberedList()

Public method to indicate the availability of numbered list markup.

Returns:
  flag indicating the availability of numbered list markup

Return Type:
  bool

#### MarkupBase.hasQuote

hasQuote()

Public method to indicate the availability of block quote markup.

Returns:
  flag indicating the availability of block quote markup

Return Type:
  bool

#### MarkupBase.hasStrikethrough

hasStrikethrough()

Public method to indicate the availability of strikethrough markup.

Returns:
  flag indicating the availability of strikethrough markup

Return Type:
  bool

#### MarkupBase.header

header(editor, level)

Public method to generate a header.

editor (Editor)
  reference to the editor to work on
level (int)
  header level

#### MarkupBase.headerLevels

headerLevels()

Public method to determine the available header levels.

Returns:
  supported header levels

Return Type:
  int

#### MarkupBase.hyperlink

hyperlink(editor)

Public method to generate hyperlink text.

editor (Editor)
  reference to the editor to work on

#### MarkupBase.image

image(editor)

Public method to generate image text.

editor (Editor)
  reference to the editor to work on

#### MarkupBase.italic

italic(editor)

Public method to generate italic text.

editor (Editor)
  reference to the editor to work on

#### MarkupBase.kind

kind()

Public method to get the markup kind.

Returns:
  markup kind all lowercased

Return Type:
  str

#### MarkupBase.line

line(editor)

Public method to generate a horizontal line text.

editor (Editor)
  reference to the editor to work on

#### MarkupBase.numberedList

numberedList(editor)

Public method to generate numbered list text.

editor (Editor)
  reference to the editor to work on

#### MarkupBase.quote

quote(editor)

Public method to generate block quote text.

editor (Editor)
  reference to the editor to work on

#### MarkupBase.strikethrough

strikethrough(editor)

Public method to generate strikethrough text.

editor (Editor)
  reference to the editor to work on

Up